Bug 1087063 - intel [Gen3]: xf86-video-intel not installed by default on <= Gen3
intel [Gen3]: xf86-video-intel not installed by default on <= Gen3
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Patterns
Current
Other Other
: P3 - Medium : Normal with 5 votes (vote)
: ---
Assigned To: Dominique Leuenberger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-27 12:11 UTC by Igor Kuznetsov
Modified: 2018-04-26 07:40 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Xorg.0.log (17.38 KB, text/x-log)
2018-03-28 17:33 UTC, Igor Kuznetsov
Details
Xorg.0.log after fresh install of Thumbleweed (17.37 KB, text/x-log)
2018-03-30 07:44 UTC, Igor Kuznetsov
Details
dmesg after fresh install of thumbleweed and loaded with init3 (62.14 KB, text/plain)
2018-03-30 07:49 UTC, Igor Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Kuznetsov 2018-03-27 12:11:33 UTC
Thumbleweed after installing on IBM Thinkpad X60 did not boot. Only screen is blinking. 

Thumbleweed live did not boot too

i made a video how it is booting and after that blinking the screen https://youtu.be/BJplHiuHDCw
Comment 1 Stefan Dirsch 2018-03-27 12:44:56 UTC
Most likely an older Intel GPU, easily fixable by uninstalling drm-kmp-default package and reboot. Please try this.

Please provide output of

  hwinfo --gfxcard
Comment 2 Max Staudt 2018-03-27 14:07:06 UTC
Thanks for the video, Igor! That's a very helpful way of demonstrating the problem, as well as work around missing terminology for a precise description.

Now, onto my questions...

1. Why does the video show a Fujitsu Siemens computer? Your bug report is for a Thinkpad X60?

2. Why do you start and keep pressing/clicking keys at some point? Please give the system a chance to work on its own, and if you interact with it, please make it clear to us.


As for the stacktrace visible in the video, I can't read it clearly, but it looks like some modesetting trouble when switching to/from the framebuffer. Since the active screen area looks limited, my guess is that you have two or more monitors connected (note that a screen inside a laptop DOES count as a connected screen, even if the lid is closed). Does the system start with only one screen connected?
Comment 3 Igor Kuznetsov 2018-03-28 02:15:37 UTC
Sorry for mistake. I put link to old video.
Fresh video make today

fresh thumbleweed on Thinkpad X60 https://youtu.be/1aqtcTi2W2Y
fresh thumbleweed on Fujitsu S7110 https://youtu.be/CWBSJoXEuLA
Comment 4 Igor Kuznetsov 2018-03-28 02:22:49 UTC
And about screens. Only one screen is connected and it is the main screen. Same problem persist on several laptops from Thinkpad X series and Fujitsu S and E series. I have one more Fujitsu E series with external monitor only and it has same problem with a thumbleweed. I decided that maybe problem in kernel and testing another distros, but on void linux (for example) it works correct. And on old opensuse with the old kernel it is work correct to.
Comment 5 Stefan Dirsch 2018-03-28 08:54:28 UTC
What do you mean with only one screen connected? Only the internal laptop screen or one additional external screen?

Please run system in runlevel 3, so X no longer tries to start, i.e. to prevent the constant flickering (actually this should stop after the 3rd try with any displaymanager I'm aware we ship, but ok, not the topic here). Just add " 3" to the kernel command line in grub (without "").

Then provide /var/log/Xorg.0.log.* files.
Comment 6 Igor Kuznetsov 2018-03-28 17:33:44 UTC
Created attachment 765301 [details]
Xorg.0.log

Xorg.0.log
Comment 7 Igor Kuznetsov 2018-03-28 17:34:42 UTC
one screen - it is only one main screen persist on laptop. So no external connected displays.
Comment 8 Max Staudt 2018-03-28 17:54:23 UTC
Thanks for the information!

Looking at Xorg.0.log, it is from a machine with Intel Gen3 graphics (8086:27a2).

X tries to use the modesetting driver, whose GLAMOR acceleration cannot work on this old hardware. It thus fails like this:

  [    88.423] Require OpenGL version 2.1 or later.
  [    88.423] (EE) modeset(0): Failed to initialize glamor at ScreenInit() time.


Two questions spring to mind:

1) Why isn't the 'intel' DDX (from the xf86-video-intel package) being used here? It should have been auto-installed on this old machine, to provide the best performance.

2) Why isn't modesetting continuing without acceleration, so it can at least provide a basic system?


Igor, for a quick fix, you can do one of this:

1) zypper install xf86-video-intel

2) Put the following in your /etc/X11/xorg.conf

  Section "Device"
      Identifier "kms gfx"
      Driver "modesetting"
      Option "AccelMethod" "none"
  EndSection


Option 1 should give you much better performance.
If there are any problems, Option 2 is a very safe fallback, but slow.


We'll have to see whether we can reproduce this (whether we have a machine for it...), and look into it.

Thanks for reporting this bug, Igor!
Comment 9 Max Staudt 2018-03-28 17:54:41 UTC
Taking bug.
Comment 10 Max Staudt 2018-03-28 18:03:24 UTC
CC Stefan, he knows more about the packages involved. Maybe it's just a hiccup in the .spec file...
Comment 11 Igor Kuznetsov 2018-03-29 07:36:46 UTC
Mothod 1 and 2 did not work normal. X11 is started but. Cant load kde or something wrong. And some problem with a size of screen - a few lines do not fit on the screen.

https://youtu.be/c8xY5OnJ_8I
Comment 12 Stefan Dirsch 2018-03-29 09:46:08 UTC
(In reply to Max Staudt from comment #10)
> CC Stefan, he knows more about the packages involved. Maybe it's just a
> hiccup in the .spec file...

Well, xf86-video-intel should have been installed automatically.

rpm --supplements -qp xf86-video-intel-2.99.917+git781.c8990575-193.13.x86_64.rpm
[...]
modalias(xorg-x11-server:pci:v00008086d000027A2sv*sd*bc*sc*i*)
[...]

Can you give it another try, please?

sudo zypper rm xf86-video-intel (if already installed)
sudo zypper inr (to install it automatically)

Is it been installed by zypper then?
Comment 13 Max Staudt 2018-03-29 10:04:04 UTC
Can you please attach Xorg.0.log as it is now after the changes, and also the output of dmesg?

Thanks!
Comment 14 Igor Kuznetsov 2018-03-30 07:44:43 UTC
Created attachment 765514 [details]
Xorg.0.log after fresh install of Thumbleweed
Comment 15 Igor Kuznetsov 2018-03-30 07:49:54 UTC
Created attachment 765515 [details]
dmesg after fresh install of thumbleweed and loaded with init3
Comment 16 Igor Kuznetsov 2018-03-30 08:23:30 UTC
And on fresh install of tumbleweed (openSUSE-Tumbleweed-DVD-i586-Snapshot20180326-Media.iso) after installing "xf86-video-intel" kde is started and everything is ok!!! It is cool!!!! 

Need to "xf86-video-intell" installed in system by default...
Comment 17 Max Staudt 2018-04-09 10:04:53 UTC
Thank you Igor!

I had actually reproduced the issue, but unfortunately wrote it into the wrong bug ticket (boo#1086747 Comment 16). Sorry!

In any case, now we know we're talking about the same issue, and the fix works on both ends. Thank you.
Comment 18 Max Staudt 2018-04-09 14:54:08 UTC
Okay, on my up-to-date Tumbleweed system, 'zypper refresh' followed by 'zypper dup' pulls in the xf86-video-intel package.

Why that apparently doesn't happen during installation, I don't know.
Comment 19 Max Staudt 2018-04-09 14:57:46 UTC
Let's reassign this to the 'Installation' component. If this is incorrect, please reassign as appropriate.

The problem at hand is that the package 'xf86-video-intel' is not installed during installation, even though it is correctly pulled in by 'zypper inr' or 'zypper dup' once the system has been installed.

The .spec file line that pulls the package in on this system is:

  Supplements:    modalias(xorg-x11-server:pci:v00008086d000029C2sv*sd*bc*sc*i*)
Comment 20 Steffen Winterfeldt 2018-04-09 15:36:26 UTC
xf86-video-intel is not part of the DVD's TW repo.
Comment 21 Dominique Leuenberger 2018-04-24 08:11:09 UTC
(In reply to Steffen Winterfeldt from comment #20)
> xf86-video-intel is not part of the DVD's TW repo.

submitted a pattern change to add xf86-video-intel to the DVD
Comment 22 Swamp Workflow Management 2018-04-24 08:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1087063) was mentioned in
https://build.opensuse.org/request/show/600305 Factory / patterns-media
Comment 23 Stefan Dirsch 2018-04-24 09:16:45 UTC
Thanks. So let's close this as fixed.
Comment 24 Swamp Workflow Management 2018-04-26 07:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1087063) was mentioned in
https://build.opensuse.org/request/show/601106 Factory / patterns-media